gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.ButtonsTypeGType)) An enumeration used by the Gtk.MessageDialog class.

Gtk.ButtonsType defines prebuilt sets of buttons for a . If none of these choices are appropriate, simply use then call .

- Field
  2.12.0.0
  Gtk.ButtonsType Show a Cancel button.
- Field
  2.12.0.0
  Gtk.ButtonsType Show a Close button.
- Field
  2.12.0.0
  Gtk.ButtonsType Show no buttons at all
- Field
  2.12.0.0
  Gtk.ButtonsType Show an OK button.
- Field
  2.12.0.0
  Gtk.ButtonsType Show a set of OK or Cancel buttons.
- Field
  2.12.0.0
  Gtk.ButtonsType Show a set of Yes or No buttons.